gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.GlyphExtentsT

Contents

- Exported types
- Methods
- Properties
  - height
  - width
  - xBearing
  - yBearing

Description

Glyph extent values, measured in font units.

Note that `height` is negative, in coordinate systems that grow up.

Synopsis

- newtype GlyphExtentsT = GlyphExtentsT (ManagedPtr GlyphExtentsT)
- newZeroGlyphExtentsT :: MonadIO m => m GlyphExtentsT
- getGlyphExtentsTHeight :: MonadIO m => GlyphExtentsT -> m Int32
- setGlyphExtentsTHeight :: MonadIO m => GlyphExtentsT -> Int32 -> m ()
- getGlyphExtentsTWidth :: MonadIO m => GlyphExtentsT -> m Int32
- setGlyphExtentsTWidth :: MonadIO m => GlyphExtentsT -> Int32 -> m ()
- getGlyphExtentsTXBearing :: MonadIO m => GlyphExtentsT -> m Int32
- setGlyphExtentsTXBearing :: MonadIO m => GlyphExtentsT -> Int32 -> m ()
- getGlyphExtentsTYBearing :: MonadIO m => GlyphExtentsT -> m Int32
- setGlyphExtentsTYBearing :: MonadIO m => GlyphExtentsT -> Int32 -> m ()

# Exported types

newtype GlyphExtentsT Source #

Memory-managed wrapper type.

Constructors

GlyphExtentsT (ManagedPtr GlyphExtentsT) |

#### Instances

Instances details

Eq GlyphExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphExtentsT Methods (==) :: GlyphExtentsT -> GlyphExtentsT -> Bool Source # (/=) :: GlyphExtentsT -> GlyphExtentsT -> Bool Source #
BoxedPtr GlyphExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphExtentsT Methods boxedPtrCopy :: GlyphExtentsT -> IO GlyphExtentsT Source # boxedPtrFree :: GlyphExtentsT -> IO () Source #
CallocPtr GlyphExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphExtentsT Methods boxedPtrCalloc :: IO (Ptr GlyphExtentsT) Source #
ManagedPtrNewtype GlyphExtentsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphExtentsT Methods toManagedPtr :: GlyphExtentsT -> ManagedPtr GlyphExtentsT Source #
tag ~ 'AttrSet => Constructible GlyphExtentsT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.GlyphExtentsT Methods new :: MonadIO m => (ManagedPtr GlyphExtentsT -> GlyphExtentsT) -> [AttrOp GlyphExtentsT tag] -> m GlyphExtentsT Source #

newZeroGlyphExtentsT :: MonadIO m => m GlyphExtentsT Source #

Construct a `GlyphExtentsT` struct initialized to zero.

# Methods

# Properties

## height

Distance from the top extremum of the glyph to the bottom extremum.

getGlyphExtentsTHeight :: MonadIO m => GlyphExtentsT -> m Int32 Source #

Get the value of the “`height`” field. When overloading is enabled, this is equivalent to

    get glyphExtentsT #height

setGlyphExtentsTHeight :: MonadIO m => GlyphExtentsT -> Int32 -> m () Source #

Set the value of the “`height`” field. When overloading is enabled, this is equivalent to

    set glyphExtentsT [ #height := value ]

## width

Distance from the left extremum of the glyph to the right extremum.

getGlyphExtentsTWidth :: MonadIO m => GlyphExtentsT -> m Int32 Source #

Get the value of the “`width`” field. When overloading is enabled, this is equivalent to

    get glyphExtentsT #width

setGlyphExtentsTWidth :: MonadIO m => GlyphExtentsT -> Int32 -> m () Source #

Set the value of the “`width`” field. When overloading is enabled, this is equivalent to

    set glyphExtentsT [ #width := value ]

## xBearing

Distance from the x-origin to the left extremum of the glyph.

getGlyphExtentsTXBearing :: MonadIO m => GlyphExtentsT -> m Int32 Source #

Get the value of the “`x_bearing`” field. When overloading is enabled, this is equivalent to

    get glyphExtentsT #xBearing

setGlyphExtentsTXBearing :: MonadIO m => GlyphExtentsT -> Int32 -> m () Source #

Set the value of the “`x_bearing`” field. When overloading is enabled, this is equivalent to

    set glyphExtentsT [ #xBearing := value ]

## yBearing

Distance from the top extremum of the glyph to the y-origin.

getGlyphExtentsTYBearing :: MonadIO m => GlyphExtentsT -> m Int32 Source #

Get the value of the “`y_bearing`” field. When overloading is enabled, this is equivalent to

    get glyphExtentsT #yBearing

setGlyphExtentsTYBearing :: MonadIO m => GlyphExtentsT -> Int32 -> m () Source #

Set the value of the “`y_bearing`” field. When overloading is enabled, this is equivalent to

    set glyphExtentsT [ #yBearing := value ]